Name:          libdbf
Version:       0.0.2
Release:       1mamba
Summary:       A C-library for reading dbase files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://18382.whserv.de/admin/index.php
Source:        https://github.com/quentindemetz/libdbf.git/%{version}/libdbf-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
libdbf is a C-library for reading dbase files.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
  --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

find %{buildroot}%{_libdir} -name '*.la' -delete

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libdbf.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libdbf
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README

%changelog
* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.2-1mamba
- update to 0.0.2

* Wed Jul 04 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.1-1mamba
- package created by autospec
